Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234880 - yum-rhn-plugin does not send up removed package data during an update or an obsolete
Summary: yum-rhn-plugin does not send up removed package data during an update or an o...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum-rhn-plugin
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Shannon Hughes
QA Contact: Preethi Thomas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-02 18:27 UTC by James Bowes
Modified: 2018-10-19 23:17 UTC (History)
4 users (show)

Fixed In Version: RHBA-2007-0594
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-07 17:24:41 UTC


Attachments (Terms of Use)
rhn yum plugin patch for dependency package support (deleted)
2007-05-25 18:28 UTC, Shannon Hughes
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0594 normal SHIPPED_LIVE yum-rhn-plugin bug fix update 2007-10-30 16:22:39 UTC

Description James Bowes 2007-04-02 18:27:19 UTC
If you are updating or obsoleting a package, it is not listed in yum's
transaction info as being removed, so it is not sent up to RHN as such. code
needs to be added to either check the ts info for packages that have a ts_state
of None, or to examine the transaction members for the updating and obsoleting
packates to see what they update and obsolete.

Comment 1 James Bowes 2007-04-02 18:29:14 UTC
Originally discovered in comment #20 of bug 208850

Comment 2 Shannon Hughes 2007-05-25 18:28:29 UTC
Created attachment 155472 [details]
rhn yum plugin patch for dependency package support

i did not get the exact behavior when testing individual packages but i did see
that dependencies were not being updated correctly which might have caused this
behavior. i went ahead and added a fix, including the patch. can we retest with
this code change?

Comment 4 Preethi Thomas 2007-07-12 19:06:22 UTC
Shanon,
could you put in a test plan for this one.

Thanks
Preethi

Comment 5 Shannon Hughes 2007-08-03 21:28:36 UTC
sure, 

basically you need to update a package using yum then check with the Web UI that
the package in the DB reflects what is on the local system. 

1) yum update foo
2) go to rhn web ui
3) look at package list for system foobar
4) confirm system foobar package foo is same version as a rpm -q foo 

Comment 6 Preethi Thomas 2007-08-07 20:45:23 UTC
verified

Comment 8 errata-xmlrpc 2007-11-07 17:24:41 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0594.html



Note You need to log in before you can comment on or make changes to this bug.